Method: actions.aiGenerate

Full name: projects.locations.instances.integrations.actions.aiGenerate

Generates a new integration action definition using Gemini AI. Use this method to automatically create metadata and boilerplate Python script code based on a natural language description of the desired security operation.

HTTP request

POST https://{endpoint}/v1alpha/{parent}/actions:aiGenerate

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The instance to create a IntegrationAction for. Format: projects/{project}/locations/{location}/instances/{instance}/soar/integrations/{integration}/actions

Request body

The request body contains data with the following structure:

JSON representation
{
  "prompt": string
}
Fields
prompt

string

Required. The user's prompt.

Response body

AI Action Generation Response

If successful, the response body contains data with the following structure:

JSON representation
{
  "generatedContent": {
    object (IntegrationAction)
  },
  "generationId": string,
  "promptVersion": string
}
Fields
generatedContent

object (IntegrationAction)

Required. The action that was generated.

generationId

string

Required. A unique generation ID

promptVersion

string

Required. A unique generation ID

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.integrationActions.get

For more information, see the IAM documentation.